CÓDIGOS DE LA MISA ELECTRÓNICA--------David Montañés



// 1ª SECCIÓN----INTROITO acusmático//

La primera sección está compuesta con varias capas de síntesis granular a partir de "O Magnum Mysterium", de la Oxford Camerata.

(
SynthDef(\supergranulador,
	{|bufnum,posicion,velocidad,duracion,pan,dur,amp=1.2|

		var senal,env;


		senal=PlayBuf.ar(
			1,
			bufnum,
			velocidad,
			1,
			posicion
		);
		senal=Pan2.ar(senal,pan);
		env=EnvGen.ar(
			Env.sine(duracion,0.1),
			doneAction:2
		);

		OffsetOut.ar(0, senal * env*amp)
}).add
)



(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0.1,tiempoEspera,stretch, velocidad,  estaDuracion;

	buffer= b;
	tiempoEspera = 0.07;
	duracionGrano = Pseq([0.6,1,2,7,12],inf).asStream;
	stretch=9*duracionGrano;
	velocidad = Prand([0.6,0.3,2.77,0.4,0.8],inf).asStream;

	inf.do({
        estaDuracion = duracionGrano.next;
		stretch = 12 * estaDuracion;
		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion.postln,
				\velocidad,velocidad.next,
				\duracion, estaDuracion
		]);
		tiempoEspera.wait;
	})
}).play
)

(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0.1,tiempoEspera,stretch, velocidad,  estaDuracion;

	buffer= b;
	tiempoEspera = 0.07;
	duracionGrano = Pseq([0.6,1,2,7,12],inf).asStream;
	stretch=9*duracionGrano;
	velocidad = Prand([0.06,0.3,0.077,0.04,0.8],inf).asStream;

	inf.do({
        estaDuracion = duracionGrano.next;
		stretch = 12 * estaDuracion;
		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion.postln,
				\velocidad,velocidad.next,
				\duracion, estaDuracion
		]);
		tiempoEspera.wait;
	})
}).play
)

(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0.1,tiempoEspera,stretch, velocidad,  estaDuracion;

	buffer= b;
	tiempoEspera = 0.4;
	duracionGrano = Pseq([0.6,1,2,7,12],inf).asStream;
	stretch=9*duracionGrano;
	velocidad = Prand([0.06,0.3,0.077,0.04,0.8],inf).asStream;

	inf.do({
        estaDuracion = duracionGrano.next;
		stretch = 12 * estaDuracion;
		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion.postln,
				\velocidad,velocidad.next,
				\duracion, estaDuracion
		]);
		tiempoEspera.wait;
	})
}).play
)
s.record
s.play
s.stop

-------





(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0.1,tiempoEspera,stretch, velocidad,  estaDuracion;

	buffer= b;
	tiempoEspera = 0.002;
	duracionGrano = Pseq([0.6,0.1,0.2,0.7,1.2],inf).asStream;
	stretch=2*duracionGrano;
	velocidad = Prand([0.06,0.3,0.077,0.04,0.8],inf).asStream;

	inf.do({
        estaDuracion = duracionGrano.next;
		stretch = 12 * estaDuracion;
		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion.postln,
				\velocidad,velocidad.next,
				\duracion, estaDuracion
		]);
		tiempoEspera.wait;
	})
}).play
)
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0.1,tiempoEspera,stretch, velocidad,  estaDuracion;

	buffer= b;
	tiempoEspera = 0.5;
	duracionGrano = Pseq([0.6,0.1,0.2,0.07,1.2],inf).asStream;
	stretch=0.25*duracionGrano;
	velocidad = Prand([0.06,0.3,0.077,0.04,0.8],inf).asStream;

	inf.do({
        estaDuracion = duracionGrano.next;
		stretch = 20 * estaDuracion;
		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion.postln,
				\velocidad,velocidad.next,
				\duracion, estaDuracion
		]);
		tiempoEspera.wait;
	})
}).play
)

//TEXTURA ULTRA-AGUDOS ACOMPAÑANTE PRIMERA SECCIÓN//

(
b = Buffer.read(
	s,
"/Users/tennicatennica/Desktop/GRAN MISA ELECTRÓNICA/texturas largas/intro MISA para softclipear.wav"

)
)

s.meter
s.record
s.stop
{(PlayBuf.ar(2,4) * 0.8).clip2}.play
{(PlayBuf.ar(2,b) * 0.8*SinOsc.ar).softclip}.play
{(PlayBuf.ar(1,b) * 7.4).distort}.play


{(PlayBuf.ar(2,b) * 0.8*SinOsc.ar).softclip}.play
{(PlayBuf.ar(2,b) * 0.8*SinOsc.ar(440,0,0.8,10))}.play


{(PlayBuf.ar(2,b) * 0.8*SinOsc.ar().softclip}.play
	{(PlayBuf.ar(2,b) * 0.8*SinOsc.ar(XLine.ar(120,20000,72,1,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.8*SinOsc.ar(XLine.ar(120,20000,72,1,0,2)))}.play

	-----------------------------
	PARA SUBIR

	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(155,20000,72,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(152,20000,77,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(157,20000,79,0.5,0,2)))}.play


	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(155,20000,47,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(152,20000,52,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(157,20000,64,0.5,0,2)))}.play

	PARA BAJAR

	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(20000,155,22,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(20000,155,27,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(20000,155,29,0.5,0,2)))}.play


	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(20000,155,17,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(20000,155,12,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(20000,155,4,0.5,0,2)))}.play


	---------------------------

	para subir desde no tan grave:

s.record
s.stop
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(310,20000,72,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(311,20000,77,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(312,20000,79,0.5,0,2)))}.play


	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(313,20000,47,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(314,20000,52,0.5,0,2)))}.play
	{(PlayBuf.ar(2,b) * 0.3*SinOsc.ar(XLine.ar(315,20000,64,0.5,0,2)))}.play

----------------------
// 2ª SECCIÓN----EPIFANÍA//
------------
Fuente original:


({
	var senal, resonador, frec,z,y;
	frec= MouseX.kr(43,300,\exponential);
	senal =
	5*SinOsc.ar(Saw.ar(349,0.9)*SinOsc.ar(0.925,0,7,177),0,0.1,0)+
	SinOsc.ar(SinOsc.ar(0.0925,0,27,175),0,0.1,0)
	+

	Saw.ar(SinOsc.ar(0.925,0,2,417),0,0.1,0)+
	SinOsc.ar(SinOsc.ar(0.0925,0,2,420),0,0.1,0)

	+

	SinOsc.ar(SinOsc.ar(0.925,0,9,43),0,0.2,0)+
	SinOsc.ar(SinOsc.ar(0.0925,0,26,43),0,0.2,0);
		resonador = CombC.ar(
			senal,
		frec.reciprocal,
			frec.reciprocal,
		MouseY.kr(0.1,3,\linear,0.3)
	);
	z = DelayN.ar(senal, 0.01)+DelayN.ar(senal, 0.1)*DelayN.ar(senal, 0.4)*DelayN.ar(senal, 2)+DelayN.ar(senal, 0.7);
	y = Mix.fill(7,{ CombL.ar(z, 0.1, LFNoise2.ar(0.1.rand, 0.004, 0.05), 15) });
	12.do({ y = AllpassN.ar(y, 0.050, [ 0.050.rand, 0.050.rand] , 1) });


	LeakDC.ar(senal) + (0.2 * y)+z;
	resonador
*0.02!2}.play
)

s.record
s.stop

//Después de realizar algunas grabaciones con este código, las cargué en el buffer, y las eché al supergranulador//
(
b = Buffer.read(
	s,

"/Users/tennicatennica/Music/SuperCollider Recordings/raton Fam.aiff"
)
)

(
SynthDef(\supergranulador,
	{|bufnum,posicion,velocidad,duracion,pan,dur,amp|

		var senal,env;

		senal=PlayBuf.ar(
			1,
			bufnum,
			velocidad,
			1,
			posicion
		);
		senal=Pan2.ar(senal,pan);
		env=EnvGen.ar(
			Env.sine(duracion,0.1),
			doneAction:2
		);
		amp=2.7;
		OffsetOut.ar(0, LeakDC.ar( senal * env)*amp)
}).add
)

s.dumpOSC(0)

(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0.1,tiempoEspera,stretch, velocidad,  estaDuracion;

	buffer= b;
	tiempoEspera = 0.09;
	duracionGrano = Pseq([1.3,1,2,7,12],inf).asStream;
	stretch=9*duracionGrano;
	velocidad = Prand([0.6,0.3,1.27,0.4,0.8],inf).asStream;

	inf.do({
        estaDuracion = duracionGrano.next;
		stretch = 12 * estaDuracion;
		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion.postln,
				\velocidad,velocidad.next,
				\duracion, estaDuracion
		]);
		tiempoEspera.wait;
	})
}).play
)

--------
// 3ª SECCIÓN//
Aquí utilicé la fuente granulada en la segunda sección y vuelta a granular con otras Routines y una última grabación distinta:


(
b = Buffer.read(
	s,

	"/Users/tennicatennica/Desktop/ballenas ratonianas.aiff"
)
)
(
c = Buffer.read(
	s,"/Users/tennicatennica/Desktop/ballenas nuevas/ballena nueva 1.aiff"


)
)
(
d = Buffer.read(
	s,
"/Users/tennicatennica/Desktop/ballenas nuevas/ballena nueva 3 la brasilera.aiff"

)
)
(
e = Buffer.read(
	s,"/Users/tennicatennica/Desktop/ballenas nuevas/ballena nueva 4 mueve tu cuerpo.aiff"


)
)
(
f = Buffer.read(
	s,
"/Users/tennicatennica/Desktop/ballenas nuevas/ballena nueva 2.aiff"

)
)

(
SynthDef(\memolatugranola,
	{|bufnum,posicion,velocidad,duracion,pan,dur,amp|

		var senal,env;

		senal=PlayBuf.ar(
			1,
			bufnum,
			velocidad,
			1,
			posicion
		);
		senal=Pan2.ar(senal,pan);
		env=EnvGen.ar(
			Env.sine(duracion,0.1),
			doneAction:2
		);
		amp=2.7;
		OffsetOut.ar(0, LeakDC.ar( senal * env)*amp)
}).add
)

//ballena nueva 1(hija de ratoniana)//
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 33*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)
s.meter
s.record
s.stop
-------------

//ballena nueva 2//
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 27*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)
----------


//ballena nueva 3 (la brasilera)//
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 22*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)
s.meter
s.record
s.stop
------------


//ballena nueva 4, la brasilera moderna, mueve tu cuerpo//
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 12*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)
-----------------

//ballena 5, la simpática,Eva Perón//
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 7*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)
s.record
s.stop
s.meter

------------
////ballena 6b///////
(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 5*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)
---
s.meter
s.record
s.stop
//ballenas microscópicas(7b)//

(
Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	tiempoEspera = 0.22;
	duracionGrano = 12;
	stretch=2*duracionGrano;
	velocidad = 50*Pseq([0.6,0.3,0.77,0.4,0.8],inf).asStream;

	inf.do({

		posicion= (posicion + (tiempoEspera*44100/stretch)) % buffer.numFrames;
		Synth(\memolatugranola,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)




	Routine({
	var buffer, duracionBuffer, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;

	duracionGrano = Prand([12.6,10.3,41.77,12.4,0.13],inf).asStream.trace;

	velocidad = Pseq([0.6,0.3,-0.77,-0.4,0.8]*0.896,inf).asStream;

	inf.do({

		//posicion= (posicion + (tiempoEspera*48000)/stretch) % buffer.numFrames;
		tiempoEspera = [0.012,0.017,0.419,3,0.122,1.225].choose;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano
		]);
		tiempoEspera.wait;
	})
}).play
)

s.meter
s.record
s.stop

(




	Routine({
	var buffer, duracionBuffer,pan, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;

	duracionGrano = Prand([12.6,10.3,17.77,12.4,5,0.13],inf).asStream.trace;

	velocidad = Pseq([0.4,0.496,0.57,0.6,0.77]*2.7,inf).asStream;

	pan = Prand([-0.9,-0.496,-0.2,0.2,0.496,0.9],inf).asStream;

	inf.do({

		//posicion= (posicion + (tiempoEspera*48000)/stretch) % buffer.numFrames;
		tiempoEspera = [0.012,0.017,0.419,0.122,1.225].choose;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano,
				\pan,pan
		]);
		tiempoEspera.wait;
	})
}).play
)
s.record
s.stop

(




	Routine({
	var buffer, duracionBuffer,pan, duracionGrano, posicion=0,tiempoEspera,stretch, velocidad;

	buffer= b;
	stretch= Prand([1,7,70,3,2,300,40,5],inf).asStream;

	duracionGrano = Prand([12.6,10.3,17.77,12.4,5,0.13],inf).asStream.trace;

	velocidad = Prand([0.4,0.496,0.57,0.6,0.77]*2.7,inf).asStream;

	pan = Prand([-0.9,-0.496,-0.2,0.2,0.496,0.9],inf).asStream;

	inf.do({

		//posicion= (posicion + (tiempoEspera*48000)/stretch) % buffer.numFrames;
		tiempoEspera = [0.012,0.017,0.419,0.122,1.225].choose;
		Synth(\supergranulador,
			[\bufnum,buffer.bufnum,
				\posicion, posicion,
				\velocidad,velocidad,
				\duracion,duracionGrano,
				\pan,pan
		]);
		tiempoEspera.wait;
	})
}).play
)

